
Portal - Employment  - Bug #1818

Issuing a work permit - based on a Visa - RMPMF 009 - the system validates the required attachments

when the user attaches the first required document 

09/15/2019 05:30 PM - Israa Naser

Status: Closed Start date: 09/15/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Israa Naser Actual Result: the system validates the required

attachments when the user attaches the

first required document 

Severity: Normal Environment: QA

Category: PAMP PHASE II - Portal - Employment Transaction Number:  

Sub-Category:  Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result: No validation should be triggered

checking the required attachments when

the user attaches the first required

document

SERVICE_ID: 76

Description

When the user attaches the first required document, the system displays a validation message that the request cannot be submitted

because of missing required attachments,

this validation should be triggered on submitting the document

check screenshot attached

History

#1 - 09/19/2019 01:27 PM - Salah Saad

- Status changed from Open to Feedback

- Assignee changed from Salah Saad to Israa Naser

please note that Attachment is a common separated (shared) region for all service , and all validation and checks done from the database , including

checking if all required attachments are uploaded or not .

so it we can't call it in every screen (service) individually , it must be done from attachment service .

#2 - 10/17/2019 05:59 PM - Israa Naser

- Status changed from Feedback to Open

- Assignee changed from Israa Naser to Mahmoud Tarawneh

Mahmoud could you please assign to related developer, thanks

#3 - 12/26/2019 01:44 PM - Mahmoud Tarawneh

- Assignee changed from Mahmoud Tarawneh to Israa Naser

Must be solved
#4 - 12/26/2019 02:35 PM - Israa Naser

- Status changed from Open to Closed

No longer duplicated

Closed

Thanks

Files

validation on required attachments not on submit.PNG 213 KB 09/15/2019 Israa Naser
